Subject: RE: [Sip] Bis-05: Diaglog establishment ambiguity

From: Tan Ya-Ching ICM N PG U ID A 1 <[email-masked]>
Date: Thu, 22 Nov 2001 10:52:24 +0100

| -----Original Message-----
| From: Christer Holmberg [mailto:[email-masked]]
| Sent: 22 November 2001 10:16
| To: Tan Ya-Ching ICM N PG U ID A 1
| Cc: 'Gonzalo Camarillo'; Bob Penfield; Mark Watson; [email-masked]
| Subject: Re: [Sip] Bis-05: Diaglog establishment ambiguity
| 
| 
| 
| Hi,
| 
| >"confirmed" is certainly better than "established". Do all 
| 1xx responses
| >other than 100 create dialogs or should we be more specific 
| in saying that
| >only 1xx responses with To tag create dialogs ?
| 
| My understanding of chapter 8.2.7 in bis-05 is that a non-100 1xx
| provisional response MUST contain a To tag.
|

What about the possibilities that the provisional response is generated by a
RFC2543-compliant proxy or UAS ? I thought such considerations are included
throughout the draft.

Regards,
Ya-Ching

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Tan Ya-Ching ICM N PG U ID A 1 <[email-masked]>
Date: Thu, 22 Nov 2001 17:27:25 +0100

| -----Original Message-----
| From: Gonzalo Camarillo [mailto:[email-masked]]
| Sent: 22 November 2001 17:07
| To: Mark Watson
| Cc: Bob Penfield; [email-masked]
| Subject: Re: [Sip] Bis-05: Diaglog establishment ambiguity
| 
| One difference is that you terminate the early dialog with CANCEL and
| the confirmed one with BYE.
| 

This is certainly not what bis-05 says:

bis-05 13.2.2.1 1XX responses (pdf lines 1766-1770)
"Provisional responses for an INVITE request can create "early dialogs". If
a provisional response has a tag in the To field, and if the dialog ID of
the response does not match an existing dialog, one is constructed using the
procedures defined in Section 12.1.0.2.
The early dialog will only be needed if the UAC needs to send a request to
its peer within the dialog before the initial INVITE transaction completes."

12.2 Requests within a Dialog (line 1651)
"For INVITE initiated dialogs terminating the dialog consists of sending a
BYE."

12.3 Termination of a Dialog (line 1680-1682)
"When a dialog is established with INVITE, it is terminated with a BYE. No
other means to terminate a dialog are described in this specification, but
extensions can define other ways."

The statement "No other means to terminate a dialog are described in this
specification" seems to exclude termination of a dialog with CANCEL.

- Ya-Ching

---

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 27 Nov 2001 16:47:11 -0500

> -----Original Message-----
> From: Tan Ya-Ching ICM N PG U ID A 1
> [mailto:[email-masked]]
> Sent: Thursday, November 22, 2001 11:27 AM
> To: 'Gonzalo Camarillo'; Mark Watson
> Cc: Bob Penfield; [email-masked]
> Subject: RE: [Sip] Bis-05: Diaglog establishment ambiguity
> 
> 
> 
> 

The CANCEL doesn't terminate the dialog per se; its the 487 from the
original request that will terminate the dialog. Indeed, if CANCEL and 200
OK pass on the wire, the dialog isn't terminated at all.

I think the real difference is the handling of route sets. As Gonzalo has
pointed out, the route set from a 2xx completely overrides the route set
from any 1xx (this is needed for backwards compatibility, since most folks
don't include record-route in 1xx). However, for an established dialog, only
the contact is changed.

-Jonathan R.
---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com